Get All Transaction

Retrieve all wallet transactions by customer_id. It supports filtering by event type. Use this API to search and view transactions, including payin, payout, refund, virtual accounts, top-ups, and all other transfers that occur across the wallets. This single endpoint can be used for reconciliation and is equivalent to the 'Transactions' tab on the dashboard.

Transactions in this list are all COMPLETED transactions, similar to Wallet Transactions, and will provide you with the following fields:

  • Transaction date & time

  • Transaction event type

  • Transaction amount

  • Finmo transaction fee

  • Transaction settled status

  • Finmo reconciliation status

  • Transaction description

  • Customer ID

Finmo conducts daily reconciliation with multiple network partners (local banks or acquirers) involved in transactions. This helps Finmo and it’s clients to identify transactions that need assistance or got lost in transit due to communication issues.

List all transactions

Retrieve a list of all the Transactions. You can filter the list with query parameters.

This API comes with Pagination support, you can customize limit and page query parameters as per the requirements.

Query Params
string

Fetch all wallet transactions by Customer_id

string

Event Type (PAYIN, PAYOUT, REFUND, VA_PAYIN etc.)

boolean

Settlement status (true or false)

boolean

Finmo reconciliation status (true or false)

string

UTC date. If you need to use local time then use start_time and end_time fields

int32

EPOCH Timestamp

int32

EPOCH Timestamp

int32

Max number of transaction record per page. Default is 10 transactions per page

int32

The page number to return. If unspecified, the first page is returned

Response

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json; charset=utf-8